Chuyển đến nội dung
Diễn đàn CADViet

Bảng xếp hạng


Nội dung phổ biến

Hiển thị nội dung có danh tiếng cao nhất vì 09/11/2021 trong tất cả các lĩnh vực

  1. 2 điểm
    Mình xin chia sẻ 1 Lisp Copy/Insert các đối tượng tự động. Tên lệnh: CO1 Ý nghĩa: Copy / Insert nhóm đối tượng 1 đến tập hợp điểm của nhóm đối tượng 2. Nhóm đối tượng 1, Nhóm đối tượng 2: các đối tượng bất kỳ (Block, Text, Pline, Circle, Hatch, Point ...) Tập hợp điểm: là điểm đặt, đỉnh, trung điểm, trọng tâm, giao cắt... (do người dùng tùy chọn) của Nhóm đối tượng 2. CO1.LSP
  2. 2 điểm
    - Video hướng dẫn anh em add Field cho Thể tích của khối 3D Solid - Link Lisp : https://lispcad.vn/san-pham/add-volume-field-cFirB
  3. 2 điểm
    Ý bác Hạ muốn nói là: lúc nhậu thì "Nhanh nói chậm". KKK... "%<\\AcObjProp Object(%<\\_ObjId " idobj ">%).Volume...
  4. 2 điểm
    mọi người cho em hỏi sao cái này em dùng không được nhỉ laykt_stext_sdim (1).lsp
  5. 1 điểm
    Hôm nay lễ chia sẽ cùng các Bạn lisp in bản vẽ mình đang sử dụng, lips này là bản nâng cấp và có giao diện đơn giản hơn so với lisp trước đây: * Công dụng: in nhiều bản vẽ trong Layout hoặc Model của file dwg với nhiều lựa chọn * Tên lệnh : MPL * Hướng dẫn: - Phần plotter, paper, plotstyle các Bạn chọn cho phù hợp với nhu cầu - Nút lệnh kế bên plotstyle là để sửa nét in ctb hiện hữu. - Phần "Sample", nhấn nút hình cái phểu để chọn mẫu làm điều kiện lọc. Mẫu là tên của các block HOẶC tên layer của các polyline, khi chọn xong thì chữ "sample" sẽ đổi thành block hoặc layer, nếu vẫn còn chữ sample là khi bạn chọn có cả block và polyline hoặc không chọn gì cả. - L => R, T => B: là chế độ sắp xếp thứ tự các bản vẽ được in ra, chế độ "select order" là cái nào chọn trước thì được in trước. Điểm cơ sở để sắp xếp là góc dưới bên trái của hình chữ nhật bao block hoặc polyline - Sau khi đã chọn mẫu hợp lệ thì nhấn nút "Select" để chọn các bản vẽ cần in hoặc plotpreview - Khi đã chọn được các bản vẽ cần in thì tổng số bản vẽ sẽ được in hiện trong danh sách kế bên nút hình kính lúp - Khi nhấn nút hình kính lúp thì sẽ chuyển qua chế độ plotpreview của bản vẽ đang hiện trong danh sách, nếu thay đổi số thứ tự trrong danh sách thì sẽ plotpreview bản vẽ theo số thứ tự được chọn - nút "Plot <ALL>" để in các khung in đã chọn. Nếu không có các khung in chọn bởi nút "Select" thì sẽ in tất cả các khung in trong model/layout hiện hữu thỏa mãn điều kiện lọc là block hoặc layer Nút "CADVIET" là để đi đến bài viết này trên CadViet.com Phần Options thì các Bạn tự khám phá nhé @ Lisp này mình viết cho công việc của mình nên các phần in ra file ảnh, PLT, DWF mình không làm. Riêng file PDF thì dùng phần mềm pdfFactory Pro để cài máy in ảo, khi in file pdf thì chọn máy in này, sau khi save thì tất các các bản vẽ sẽ nằm trong 1 file rất dễ quản lý Cập nhật 22/6/2020: Sửa lỗi ghi các file thành dạng *.plt khi chọn thư mục khác với thư mục bản vẽ đang in MPL1_10-22Jun2020.rar Cập nhật 1/1/2020: Chọn thư mục khi in file, đưa trở lại lệnh "PLC" để in liên tục theo cấu hình in trước đó mà không cần mở giao diện - khi chọn chức năng "Plot to file" sẽ xuất hiện giao diện chọn thư mục để lưu file, nếu chọn nút nút Cancel thì mặc định sẽ lưu tại thư mục bản vẽ đang in - lệnh "PLC" sẽ in theo cấu hình của lần in trước trên model hoặc layout( máy in, giấy, nét in, block/layer, ...). Khi được yêu cầu chọn đối tượng để in, nếu enter thì sẽ chọn tất cả các đối tượng block/layer trên model hoặc layout hiện hành thỏa mãn điều lọc để in MPL-1Jan2020.rar Cập nhật 4/7/2019: sửa lổi in nhiều file khi chọn in ảnh, DWF, PDF của các máy in *.pc3 MPL-4Jul2019.rar Cập nhật 3/7/2019 MPL-3Jul2019.rar - Đưa trở lại tính năng in ảnh, DWF, PDF của các máy in *.pc3 - Đưa trở lại tính năng collated khi in nhiều bộ bản vẽ (in 1,1/2,2/3,3 hoặc 1,2,3/1,2,3) - Hỗ trợ Auto scale theo scale list của acad ở hệ metric (tên scale có dạng 1:100, 2:1, ...) với biên độ 5%. VD: nếu fit to page có tỉ lệ 1/95 đến 1/105 thì auto scale về tỉ lệ 1/100 đã có trong scale list của acad, nếu không có trong scale list thì sẽ tự động fit to page - Sửa lỗi để lisp chạy nhanh và ổn định hơn MPL.rar Nếu giải nén bị lỗi thì tìm Winrar bản mới nhất để giải nén nhé Các bản cũ: http://www.cadviet.com/upfiles/3/3202_mplmultiplot_1.rar @30/5/2014: Cập nhật: http://www.cadviet.com/upfiles/3/3202_mplmultiplot_3.rar @11/11/2014: Cập nhật http://www.cadviet.com/upfiles/4/3202_mplmultiplot.rar MPL.rar
  6. 1 điểm
    Hàng về nhé chủ thớt. Lệnh : test Lưu ý: đối tượng chọn là text (không phải mtext) có chứa giá trị như hình yêu cầu Clip minh họa: https://autode.sk/3FzKW4j ^_^ ve rectang theo hang text.rar
  7. 1 điểm
    do biến startindex chưa được cấp phát giá tri. thêm dòng startindex=0; trước using ....
  8. 1 điểm
    ⛔️ 18/11/2021 : Đã cập nhật bản 2.0, fix lỗi nhảy Dimline và add thêm đặc tính Textmovement. ⛔️ Add thêm chức năng này vào bộ Dimtools ⛔️ Lisp free, link download : https://lispcad.vn/san-pham/dimtext-align-sap-xep-text-dim-7C0nP
  9. 1 điểm
  10. 1 điểm
    Tìm lisp overwrite dim làm mất tác dụng associate cho toàn bộ dim trước khi break line, bạn sẽ stretch thoải mái. Nhớ tạo bản copy trước, vì kích thước bị gán cố định.
  11. 1 điểm
    Top 3 công cụ cần thiết và quan trọng bất cứ ai cũng đều nên sở hữu. Chắc chắn sẽ giúp bạn thuận tiện và dễ dàng hơn rất nhiều trong việc sử dụng máy tính và làm việc online + Làm việc nhóm: Hiện nay có rất nhiều các ứng dụng hỗ trợ làm việc nhóm trực tuyến. Trong đó, dễ sử dụng và mang lại nhiều tiện ích nhất chắc chắn không thể không kể đến Microsoft Teams. Ứng dụng làm việc trực tuyến, kết nối đa phương tiện HOT nhất hiện nay. Đặc biệt, người dùng có thể tải Microsoft Team hoàn toàn miễn phí. Được hướng dẫn cài đặt và kích hoạt dễ dàng + Chụp ảnh màn hình: Chụp ảnh màn hình máy tính phải nói là tính năng cực kỳ hữu ích và cần thiết. Trong vô vàn các ứng dụng chụp ảnh màn hình khác nhau, thì Snipping Tool được đánh giá là công cụ có số lượng người dùng nhiều và phổ biến nhất hiện nay. Bởi công cụ này thường được cài đặt sẵn trong hệ điều hành Windows. Và người dùng chỉ cần kích hoạt công cụ Snipping Tool có sẵn đó là có thể dễ dàng sử dụng + Teamviewer 14: Việc trao đổi và làm việc trực tiếp trên màn hình máy tính sẽ trở nên dễ dàng và thuận tiện hơn rất nhiều nhờ phần mềm Teamviewer. Hiện nay Teamviewer được trình làng với rất nhiều phiên bản đa dạng khác nhau. Trong đó, tải Teamviewer 14 miễn phí là sự lựa chọn ưu tiên của đại đa số người dùng. Bởi phiên bản Teamviewer 14 có khả năng làm việc nhanh chóng, chạy mượt hơn rất nhiều so với các phiên bản khác. #microsoft_team #tải_microsoft_team #download_microsoft_teams #snippingtool #tải_snipping_tool #snipping_tool_win_10 #teamviewer14 #tải_teamviewer_14 #download_teamviewer_14 #teamviewer_14_free
  12. 1 điểm
    File của bạn nặng do quá nhiều đối tượng. Tôi tách thành 2 file với file chính và file XREF để làm nhẹ bớt. https://www.mediafire.com/file/xyizxcjbicpuuv2/So_do_luoi.rar/file Có diều tôi lấy làm lạ không biết file này từ phần mềm nào chuyển thành mà hễ nhấp vào đối tượng nào đều hiện lên hình hệ tọa độ và nàm ở vị trí tâm của các đối tượng được chọn.
  13. 1 điểm
    Lisp của bác rất hay!. Cám ơn bác Ketxu rất nhiều!
  14. 1 điểm
    Để có cái chỗ ... sau mục 2 kia thì phải dùng Reactor : Còn cái mục 3 thì bạn nghiên cứu lệnh Stretch hoặc Extend j đó
  15. 1 điểm
    Của bạn đây, lệnh TBC nhé ! TBC.lsp
  16. 1 điểm
    Dùng để gióng vuông góc vào 1 đường thẳng giongline.lsp
  17. 1 điểm
    Bác định giỏi hết mọi thứ thì chịu sao thấu ^^
  18. 1 điểm
    Mình giờ kiến thức AutoCAD nói chung tụt hậu quá, update liên tục thì chả theo nổi :(
  19. 1 điểm
    (defun c:SF(/ p dt ans ten sc ang dt) (setvar "cmdecho" 0) (initget "B B1 B2 BK G GD GD1 GL GL1 GL2 D D1 C K N N1 TO GO GO1") (setq ans (getkword "\n Chon kieu hatch < B/B1/B2/BK/G/GD/GD1/GL/GL1/GL2/D/D1/C/K/N/N1/TO/GO/GO1 > : ")) (initget "P S") (setq ansp (getkword "\n Chon kieu pick diem hay chon doi tuong < P/S > :")) (setq p nil dt t) ;(WHILE (or (not p) (not dt)) (if (= ans "B") (progn (setq ten "AR-CONC" sc 20.0 ang 0.0 ten2 "ANSI32" sc2 200.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) (lh1 p ten2 sc2 ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) (lh dt ten2 sc2 ang) ) ) ) ) ) (if (= ans "B1") (progn (setq ten "AR-CONC" sc 20.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "B2") (progn (setq ten "GRAVEL" sc 100.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "BK") (progn (setq ten "SOLID" sc 200.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "G") (progn (setq ten "ANSI31" sc 400.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "GD") (progn (setq ten "AR-B816" sc 10.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "GD1") (progn (setq ten "FLGSTONE" sc 500.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "GL") (progn (setq ten "NET" sc 1500.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "GL1") (progn (setq ten "ANGLE" sc 700.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "GL2") (progn (setq ten "AR-HBONE" sc 20.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "D") (progn (setq ten "HOUND" sc 500.0 ang 45.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "D1") (progn (setq ten "EARTH" sc 500.0 ang 45.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "C") (progn (setq ten "AR-SAND" sc 20.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "K") (progn (setq ten "AR-RROOF" sc 500.0 ang 45.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "N") (progn (setq ten "AR-RSHKE" sc 30.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "N1") (progn (setq ten "SPANTILE" sc 400.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "TO") (progn (setq ten "ANSI32" sc 200.0 ang 45.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "GO") (progn (setq ten "WOOD8" sc 700.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) (if (= ans "GO1") (progn (setq ten "WOOD2" sc 500.0 ang 0.0) (if (= ansp "P") (progn (while (setq p (getpoint "\n Chon 1 diem trong vung can hatch :")) (lh1 p ten sc ang) ) ) (progn (princ "\n Chon doi tuong can hatch :") (while (setq dt (ssget) ) (lh dt ten sc ang) ) ) ) ) ) ;);WHILE (princ) ) ;;;;;;;; (defun lh1(p name tle goc) (setvar "hpgaptol" 50.0) (vl-cmdf "bhatch" "P" name tle goc p "") ) ;;;;;;;;;; (defun lh(dt name tle goc) (setvar "hpgaptol" 50.0) (vl-cmdf "bhatch" "P" name tle goc "S" dt "" "") ) Tình hình là mình có sưu tầm 1 Lisp hatch nhanh vật liệu nhưng mình gặp 1 vấn đề là hatch 2 vị trí khác nhau trở lên là mảng hatch không liền khối, mình ko rành lắm về Code chỉ chỉnh sửa lại sơ sơ thôi, nhờ anh em nào rành chỉnh thêm giúp mình với, xin cảm ơn HATCH NHANH VAT LIEU (SF).lsp
  20. 1 điểm
  21. -1 điểm
    Chào các bạn, Mình có một vài ý tưởng về fillet muốn thực hiện bằng lisp, mong các bạn viết giúp: 1. Lệnh F1: Fillet 2 line hoặc pline với bán kính 100 (mm), sau đó bán kính mặc định của lệnh fillet trở về 0. 2. Lệnh F2: Fillet 2 line hoặc pline với bán kính 200 (mm), sau đó bán kính mặc định của lệnh fillet trở về 0. ... 3. Nếu 2 đường thẳng song song thì 2 đường thẳng sẽ được kéo dài đến 1 điểm cho trước (tương đương lệnh changer với ortho ON). MOng các bạn giúp đỡ!
  22. -1 điểm
    đọc cmt từ trên xuống. chỉ mỗi bạn tien2005 hiểu vấn đề và xử lý ok .máy ông kia cmt cho ngta biết mình .......
  23. -1 điểm
    mình cũng gặp trường hợp tương tự, mong các bạn chỉ giúp. Cảm ơn nhiều
  24. -1 điểm
    Khi chạy và báo lỗi này, nguyên nhân và cách khắc phục thế nào? Ai biết chỉ giúp. Thank you
  25. -2 điểm
    Mình tìm được lisp này trên diễn đàn, mình thấy hay, nhưng nhờ anh em sửa lại giúp mình một chút. (Lấy text của Dim và xuất qua excel) Cụ thể lần lượt như sau: 1. Dùng hàm lọc gì đó để quét chọn Dimension thôi. (vì chỉ cần text Dim) 2. Hiện tại các text Dim theo phương X khi xếp vào ô excel thì nó xếp từ phải sang trái, mong muốn xếp lại theo chiều ngược lại là từ trái sang phải (xem hình vẽ kèm theo). 3. Tương tự Text Dim theo phương Y cũng vậy, mong muốn xếp lại từ dưới lên trên. Hiện tại đang xếp từ trên xuống dưới. 4. Sau khi nhập lệnh và quét chọn các Dim xong Enter thì tự động mở file excel lên luôn (khi cần save thì save lại sau vì có khi không cần lưu file excel này) Cảm ơn!
Bảng thành tích này được đặt thành Tp. Hồ Chí Minh /GMT +07:00


  • Newsletter

    Want to keep up to date with all our latest news and information?

    Sign Up
×